import os

from PyQt5 import uic
from PyQt5.QtWidgets import QDialog
from PyQt5.QtCore import Qt

FORM_CLASS, _ = uic.loadUiType(os.path.join(
    os.path.dirname(__file__), 'ui', 'custom_proj_edition.ui'))


class CtrlCraftCustomProjEdition(QDialog, FORM_CLASS):

    def __init__(self,proj_path, parent=None):
        """Constructor."""
        super(CtrlCraftCustomProjEdition, self).__init__(parent)
        self.proj_path=proj_path
        self.setupUi(self)
        self.__initTextEdit()

        self.mCancelButton.clicked.connect(self.__close)
        self.mSaveButton.clicked.connect(self.__save)

    def __close(self):
        self.close()

    def __save(self):
        txt = self.mCustomProjTextEdit.toPlainText()
        with open(self.proj_path,'w') as dst_file:
            dst_file.write(txt)
        self.close()

    def __initTextEdit(self):
        text_str = ''
        with open(self.proj_path) as text:
            for i in text.readlines():
                text_str += i
        self.mCustomProjTextEdit.insertPlainText(text_str)
